Добавить строки
Request
POST
https://api.wiki.yandex.net/v1/grids/{idx}/rows
Path parameters
|
Name |
Description |
|
idx |
Type: string<uuid4> Example: `` |
Body
application/json
{
"revision": "example",
"position": 0,
"after_row_id": "example",
"rows": [
{}
]
}
|
Name |
Description |
||
|
rows |
Type: object[]
Example
|
||
|
after_row_id |
Type: string Example: |
||
|
position |
Type: integer |
||
|
revision |
Type: string Example: |
UserIdentityExtended
Расширенный идентификатор пользователя с дополнительными полями
|
Name |
Description |
|
cloud_uid |
Type: string Идентификатор пользователя в Яндекс Облаке Example: |
|
uid |
Type: string Уникальный идентификатор пользователя (UID) в Яндексе Example: |
|
username |
Type: string Логин пользователя Example: |
Example
{
"uid": "example",
"cloud_uid": "example",
"username": "example"
}
Responses
200 OK
OK
Body
application/json
{
"revision": "example",
"results": [
{
"id": "example",
"row": [
0
],
"pinned": true,
"color": "blue"
}
]
}
|
Name |
Description |
|
revision |
Type: string Example: |
|
results |
Type: GridRowSchema[] Example
|
TicketSchema
Схема тикета из Яндекс.Трекера
|
Name |
Description |
|
key |
Type: string Ключ тикета (например, Example: |
|
resolved |
Type: boolean Тикет решён (закрыт) |
Example
{
"key": "example",
"resolved": true
}
UserIdentity
Идентификатор пользователя
|
Name |
Description |
|
cloud_uid |
Type: string Идентификатор пользователя в облаке (для внешнего инстанса) Example: |
|
uid |
Type: string Идентификатор пользователя в Яндекс (для внутреннего инстанса) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Информация о пользователе
|
Name |
Description |
|
affiliation |
Type: string Принадлежность пользователя (например, Example: |
|
display_name |
Type: string Отображаемое имя пользователя Example: |
|
id |
Type: integer Внутренний идентификатор пользователя |
|
is_dismissed |
Type: boolean Пользователь уволен |
|
username |
Type: string Логин пользователя Example: |
|
identity |
All of 1 type
Идентификатор пользователя в системе Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
UnresolvedUserSchema
Схема пользователя, который не был найден в системе
|
Name |
Description |
|
identity |
All of 1 type
Идентификатор пользователя Example
|
|
username |
Type: string Логин пользователя Example: |
Example
{
"username": "example",
"identity": {
"uid": "example",
"cloud_uid": "example"
}
}
TrackerEnumField
Поле перечисления из Яндекс.Трекера
|
Name |
Description |
|
display |
Type: string Отображаемое значение поля Example: |
|
key |
Type: string Ключ значения поля Example: |
Example
{
"display": "example",
"key": "example"
}
BGColor
An enumeration.
Type: string
Enum: blue, yellow, pink, red, green, mint, grey, orange, magenta, purple, copper, ocean
GridRowSchema
Схема строки динамической таблицы
|
Name |
Description |
|
id |
Type: string Уникальный идентификатор строки Example: |
|
row |
Type: arrayAny of 10 types
Массив значений ячеек строки (порядок соответствует порядку столбцов) Example
|
|
color |
All of 1 type
Цвет фона строки Example: |
|
pinned |
Type: boolean Строка закреплена |
Example
{
"id": "example",
"row": [
0
],
"pinned": true,
"color": "blue"
}